<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.DmaRemoteMeterMapper">

    <resultMap id="dmaRemoteMeterMap" type="com.tofly.xrtygis.entity.DmaRemoteMeter">
        <id property="id" column="ID"/>
        <result property="dmaId" column="DMA_ID"/>
        <result property="dmaName" column="DMA_NAME"/>
        <result property="dmaCode" column="DMA_CODE"/>
        <result property="dmaLevel" column="DMA_LEVEL"/>
        <result property="tableId" column="TABLE_ID"/>
        <result property="tableName" column="TABLE_NAME"/>
        <result property="tableCode" column="TABLE_CODE"/>
        <result property="tableId" column="TABLE_ID"/>
        <result property="startVal" column="START_VAL"/>
        <result property="startDate" column="START_DATE"/>
        <result property="nowVal" column="NOW_VAL"/>
        <result property="nowDate" column="NOW_DATE"/>
        <result property="poorHydration" column="POOR_HYDRATION"/>
        <result property="nowWaterConsumption" column="NOW_WATER_CONSUMPTION"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>

        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="updateUserName" column="UPDATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="dmaLevelName" column="DMA_LEVEL" select="com.tofly.xrtygis.mapper.LeakAssessmentMapper.getDmaLevleName"/>
    </resultMap>


</mapper>
